org.eclipse.emf.cdo.transaction

## Class CDOAutoLocker

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1
  - - org.eclipse.emf.cdo.transaction.CDOAutoLocker

- All Implemented Interfaces:
    CDOTransactionHandler1, CDOTransactionHandler1.WithUndo, CDOTransactionHandlerBase
  Direct Known Subclasses:
    CDOAutoLocker.ForSingleValuedChanges

      public class CDOAutoLocker
      extends CDODefaultTransactionHandler1

  A `transaction handler` that automatically acquires `write locks` when `objects` are modified.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOAutoLocker.ForSingleValuedChanges` An `auto locker` that only locks objects when their single-valued features are changed.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOAutoLocker()`
    `CDOAutoLocker(long timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)` This implementation does nothing.

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

      `attachingObject, detachingObject, handleDefault, undoingObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOAutoLocker

          public CDOAutoLocker(long timeout)

    - #### CDOAutoLocker

          public CDOAutoLocker()

  - ### Method Detail

    - #### modifyingObject

          public void modifyingObject(CDOTransaction transaction,
                                      CDOObject object,
                                      CDOFeatureDelta featureChange)

      Description copied from class: `CDODefaultTransactionHandler1`
      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `modifyingObject` in interface `CDOTransactionHandler1`
      Overrides:
        `modifyingObject` in class `CDODefaultTransactionHandler1`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html